Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.thoughtworks.xstream.mapper
Class SystemAttributeAliasingMapper

    java.lang.Object
      com.thoughtworks.xstream.mapper.MapperWrapper
          com.thoughtworks.xstream.mapper.AbstractAttributeAliasingMapper
              com.thoughtworks.xstream.mapper.SystemAttributeAliasingMapper

All Implemented Interfaces:
  Mapper

    public class SystemAttributeAliasingMapper

extends AbstractAttributeAliasingMapper

Mapper that allows aliasing of system attribute names.

Since:
  1.3.1
Author:
  Jörg Schaible

Nested Class Summary

Nested classes/interfaces inherited from interface com.thoughtworks.xstream.mapper.Mapper
`Mapper.ImplicitCollectionMapping, Mapper.Null`

Field Summary

Fields inherited from class com.thoughtworks.xstream.mapper.AbstractAttributeAliasingMapper
`aliasToName, nameToAlias`

Constructor Summary
`SystemAttributeAliasingMapper(Mapper wrapped)`

Method Summary
`String` | `aliasForSystemAttribute(String attribute)` Get the alias for a system attribute's name.

Methods inherited from class com.thoughtworks.xstream.mapper.AbstractAttributeAliasingMapper
`addAliasFor`

Methods inherited from class com.thoughtworks.xstream.mapper.MapperWrapper
`aliasForAttribute, aliasForAttribute, attributeForAlias, attributeForAlias, attributeForClassDefiningField, attributeForEnumType, attributeForImplementationClass, attributeForReadResolveField, defaultImplementationOf, getConverterFromAttribute, getConverterFromAttribute, getConverterFromAttribute, getConverterFromItemType, getConverterFromItemType, getConverterFromItemType, getFieldNameForItemTypeAndName, getImplicitCollectionDefForFieldName, getItemTypeForItemFieldName, getLocalConverter, isImmutableValueType, lookupMapperOfType, realClass, realMember, serializedClass, serializedMember, shouldSerializeMember`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SystemAttributeAliasingMapper

    public SystemAttributeAliasingMapper(Mapper wrapped)

Method Detail

### aliasForSystemAttribute

    public String aliasForSystemAttribute(String attribute)

  Description copied from interface: `Mapper`
  Get the alias for a system attribute's name.

  Specified by:
    `aliasForSystemAttribute` in interface `Mapper`
  Overrides:
    `aliasForSystemAttribute` in class `MapperWrapper`
  Parameters:
    `attribute` - the system attribute
  Returns:
    the alias

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2008 XStream. All Rights Reserved.